Package org.apache.sling.launchpad.testservices.post

# Class SlingPostProcessorOne

java.lang.Object
org.apache.sling.launchpad.testservices.post.SlingPostProcessorOne

All Implemented Interfaces:
  `org.apache.sling.servlets.post.SlingPostProcessor`

public class SlingPostProcessorOne extends Object implements org.apache.sling.servlets.post.SlingPostProcessor
Example SlingPostProcessor used in integration tests

## Constructor Summary

Constructors
Constructor
Description
`SlingPostProcessorOne()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(org.apache.sling.api.SlingHttpServletRequest request, List<org.apache.sling.servlets.post.Modification> mods)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingPostProcessorOne

public SlingPostProcessorOne()

## Method Details

### process

public void process(org.apache.sling.api.SlingHttpServletRequest request, List<org.apache.sling.servlets.post.Modification> mods) throws Exception

Specified by:
  `process` in interface `org.apache.sling.servlets.post.SlingPostProcessor`
Throws:
  `Exception`